/*
	Please pay attention when you change this plugin.
	Due to the cartridge dependencies the plugin was saved in ExternalContent and MediaGallery.
	That's why you have to change it in both cartridges.
*/

define("ckeditor/plugins/epmediagroup/plugin", [
	"jquery",
	"ckeditor/ckeditor",
	"$dict!ep/dict"
], function ($, CKEDITOR, epDict) {
	/*
	 * @dictionary		ep.dict
	 *
	 * @translation		{MediaGroup}
	 * 					{Media}
	 * 					{Gadget}
	 * 					{RSS}
	 */

	CKEDITOR.plugins.add('epmediagroup', {
		requires: ['menubutton'],

		init: function (editor) {
			var menuGroup = 'mediaGroup',
				tMediaGroup = epDict.translate('MediaGroup'),
				tGadget = epDict.translate('Gadget'),
				uiMenuItems = {},
				features = top.ep.config.features;

			// add menu group
			editor.addMenuGroup(menuGroup);

			// create menu entries, commands and event listener for different line heights
			if (features.Gadget) {
				uiMenuItems.gadget = {
					label: tGadget,
					command: 'epgadget',
					group: menuGroup,
					icon: this.path + '../epgadget/images/gadget.png'
				};
			}
			if (features.MediaGallery) {
				uiMenuItems.image = {
					label: editor.lang.common.image,
					command: 'epimage',
					group: menuGroup,
					icon: this.path + '../epimage/images/image.png'
				};
			}

			// add items to the menu
			editor.addMenuItems(uiMenuItems);

			// create menu button
			editor.ui.add('epmediagroup', CKEDITOR.UI_MENUBUTTON, {
				label: tMediaGroup,
				title: tMediaGroup,
				modes: {
					wysiwyg: 1
				},
				icon: this.path + 'images/mediagroup.png',
				onMenu: function () {
					return {
						gadget: CKEDITOR.TRISTATE_OFF,
						image: CKEDITOR.TRISTATE_OFF,
					};
				}
			});
		}
	});

	return CKEDITOR;

});