/*globals define*/

define([
    'testsuite/qunit',
    'jquery',
    'de_epages/shop/ui/userblogwidget',
    'ep',
    'testsuite/qunit-fixture!de_epages/shop/ui/userblogwidget-test',

    '$ready!'
], function (QUnit, $, de_epages, ep, fixture) {
    'use strict';

    QUnit.module("de_epages/shop/ui/userblogwidget", {
        setup: function () {
            fixture.init();
        },

        teardown: function () {
            fixture.destroy();
        }
    });

    QUnit.test("de_epages/shop/ui/userblogwidget", function () {

        var xmlResponse = $('#rssData').html(),
            entryLength,

            responseString = '["?ViewAction=DereferredRedirect&URL=https%3A//blog.epages.com/en/2017/02/07/link-tips-for-online-merchants-january-2017/&nonce=MmJhNDk1NWY0YmE5ZTY5ZTQ2MThjODgzYmQzYjY2Mjg5NDM1NjkyMDQwNDUzY2Y1MDM1MDUwN2YyYzVkYTAxN18xNDg2NjI4NTAz","?ViewAction=DereferredRedirect&URL=https%3A//blog.epages.com/en/2017/01/25/business-advice-from-paypal/&nonce=ZjNjMTE3NmVhNGQwMWU5ZTZiZWZjNDJmNDMwMWMxYWU2ZjNhZjVjMGE3Y2Y4Yzk4MzMxOWQ4YThiM2IwZTA1M18xNDg2NjI4NTAz","?ViewAction=DereferredRedirect&URL=https%3A//blog.epages.com/en/2017/01/23/hootsuite-and-getsocial-more-success-with-social-commerce/&nonce=MzM2MTVhOWE3MzJhMWNkN2JjYWJjMjU5OTVkYWQ3NGEzZjk2MmQwNjgxNTk5NzIyNGQxZGFjNzNmNTUwY2E4OF8xNDg2NjI4NTAz"]',
            response = JSON.parse(responseString),

            xmlString = "<root></root>",
            parser = new DOMParser(),
            xmlDoc = parser.parseFromString(xmlResponse, "text/xml");

        console.log(xmlDoc);

        /* START - fake ajax request */
        ep.ajax = function (o) {
            var result = $.Deferred();

            if (o.dataType) {
                if (o.dataType === "xml") {
                    result.resolve(xmlDoc);
                } else if (o.dataType === "json") {
                    result.resolve(response);
                }
            } else {
                result.reject();
            }

            return result;
        };
        /* END - fake ajax request */

        $('.ep-UserBlogWidget').shopUiUserBlogWidget({
            'url': 'http://blog.epages.com/de/feed/'
        });

        QUnit.equal(
            $('.ep-shopUiUserBlogWidget-itemContent').length,
            3,
            'check entry count'
        );

        entryLength = de_epages('.ep-UserBlogWidget').shopUiUserBlogWidget('option', 'entryLength');

        $('.ep-shopUiUserBlogWidget-itemTitle').each(function () {

            QUnit.ok(this.innerHTML.length <= entryLength, "check entryLength");

        });

        QUnit.equal(
            $('.ep-uiTooltip').length,
            3,
            'check tooltip count'
        );
    });
});